#if !defined(AFX_LISTSTAMP_H__5C50FB81_3B95_11D3_AB2E_C7562C0BF118__INCLUDED_)
#define AFX_LISTSTAMP_H__5C50FB81_3B95_11D3_AB2E_C7562C0BF118__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ListStamp.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CListStamp window
class CStamp;
class CStampList;

class CListStamp : public CListBox
{
// Construction
public:
	CListStamp();

// Attributes
public:
	CStampList* pList;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListStamp)
	public:
	virtual int CompareItem(LPCOMPAREITEMSTRUCT lpCompareItemStruct);
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	virtual void DeleteItem(LPDELETEITEMSTRUCT lpDeleteItemStruct);
	//}}AFX_VIRTUAL

// Implementation
public:
	void AddStampItem(CStamp* st);
	CStamp* GetStampItem(int i);
	virtual ~CListStamp();

	// Generated message map functions
protected:
	//{{AFX_MSG(CListStamp)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTSTAMP_H__5C50FB81_3B95_11D3_AB2E_C7562C0BF118__INCLUDED_)
